ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 23919] New: - [PATCH] nighlty build and ant 1.6 not buildable with jdk 1.2.2
Date Sun, 19 Oct 2003 11:51:35 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG 
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://nagoya.apache.org/bugzilla/show_bug.cgi?id=23919>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND 
INSERTED IN THE BUG DATABASE.

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=23919

[PATCH] nighlty build and ant 1.6 not buildable with jdk 1.2.2

           Summary: [PATCH] nighlty build and ant 1.6 not buildable with jdk
                    1.2.2
           Product: Ant
           Version: 1.6Beta
          Platform: All
        OS/Version: All
            Status: NEW
          Severity: Major
          Priority: Other
         Component: Core
        AssignedTo: dev@ant.apache.org
        ReportedBy: ant@kruithof.xs4all.nl


Because of encoding issues the following files cannot be build using
java version "1.2.2"
Classic VM (build JDK-1.2.2_016, green threads, nojit)
at least on linux.

src/main/org/apache/tools/ant/filters/ConcatFilter.java
src/main/org/apache/tools/ant/types/selectors/modifiedselector/Algorithm.java
src/main/org/apache/tools/ant/types/selectors/modifiedselector/Cache.java
src/main/org/apache/tools/ant/types/selectors/modifiedselector/DigestAlgorithm.java
src/main/org/apache/tools/ant/types/selectors/modifiedselector/EqualComparator.java
src/main/org/apache/tools/ant/types/selectors/modifiedselector/HashvalueAlgorithm.java
src/main/org/apache/tools/ant/types/selectors/modifiedselector/ModifiedSelector.java
src/main/org/apache/tools/ant/types/selectors/modifiedselector/PropertiesfileCache.java

The encoding issues were caused by nonessential items in the code, an alternate
' in don't etc. and an e with an accent in a persons name. I replaced the
alternate ' with ' and the e with accent to an e without one in the patch, the
code now compiles using jdk 1.2.2

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message